% GUIminmax
% Function for MODIS GUI
% Copyright by Jasmine S Nahorniak, Oregon State University.
% Feb 25 2000

function [mins,maxs]=GUIminmax(mins,maxs)

GUIbutton('Pushbutton4','WORKING','on');

mainfig=findobj('Name','MODIS GUI');

% get the data choice (selected by user)
choice=get(findobj(mainfig,'Tag','Listbox1'),'Value');

% get the min and max values from the boxes
mindata=str2num(get(findobj(mainfig,'Tag','EditText1'),'String'));
maxdata=str2num(get(findobj(mainfig,'Tag','EditText6'),'String'));

% add to matrix of mins and maxs
mins(choice)=mindata;
maxs(choice)=maxdata;


GUIbutton('Pushbutton4','GO','off'); 
