% Function for the MODIS GUI
% Copyright by Jasmine S Nahorniak, Oregon State University.
% June 30 2000


function [coast,M,l2lat,l2lon]=GUIplotall(data,mins,maxs,coast,region,filetype,l2lat,l2lon);

GUIbutton('Pushbutton15','PLOTTING','on');

datanames=get(findobj('Tag','Listbox1'),'String');
numdata=length(datanames(:,1));

% make sure "new" figure is selected
set(findobj('Tag','PopupMenu1'),'Value',1);

for i=1:numdata,
  set(findobj('Tag','Listbox1'),'Value',i);
  [coast,M,junk1,junk2]=GUIpremakemap(data,mins,maxs,coast,region,filetype,l2lat,l2lon);
end

l2lat=[];
l2lon=[];

GUIbutton('Pushbutton15','PLOT ALL','off');
