% GUIcol2num
% Function for the MODIS GUI
% Converts color names to numbers
% Copyright by Jasmine S Nahorniak, Oregon State University. 
% March 27 2000

function [colornumbers]=GUIcol2num(colornames);

GUIdefaults;

classfile=class(colornames);
if classfile(1:4)=='char'
    row=find(strcmp(colornames,guicolornamelist));
    colornumbers(1,:)=guicolornumberlist(row,:);
else
  for i=1:length(colornames);
    row=find(strcmp(colornames{i},guicolornamelist));
    colornumbers(i,:)=guicolornumberlist(row,:);
  end
end

